package com.kym.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kym.common.enums.MsgTemplateType;
import com.kym.entity.MpMsgTemplate;
import com.kym.entity.PayLog;
import com.kym.entity.WashOrder;

/**
 * <p>
 * 微信公众号消息模版表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-08-07
 */
public interface MpMsgTemplateService extends IService<MpMsgTemplate> {

    void sendPaymentSuccessMsg(PayLog payLog, Integer balance);

    void sendOrderCompletedMsg(WashOrder washOrder, Integer balance);

    void sendParkingCouponMsg(WashOrder washOrder, String parkingCouponUrl);

    void sendTemplateMessage(MsgTemplateType templateType, Long userId, Object... args);
}
